package com.rjconsultores.ventaboletos.web.utilerias.render;

import java.text.SimpleDateFormat;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.LogDespesaReceitaDiversa;

public class RenderLogDespesaReceitaDiv implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		LogDespesaReceitaDiversa log = (LogDespesaReceitaDiversa) o;
		SimpleDateFormat sdf = new SimpleDateFormat("dd/MM/yyyy");

		Listcell lc = new Listcell(log.getDespesaReceitaDivId().toString());
		lc.setParent(lstm);

		lc = new Listcell(log.getUsuario().getClaveUsuario().toString());
		lc.setParent(lstm);

		lc = new Listcell(sdf.format(log.getDataExecucao()));
		lc.setParent(lstm);

		lc = new Listcell(sdf.format(log.getDataInicio()));
		lc.setParent(lstm);

		lc = new Listcell(sdf.format(log.getDataFim()));
		lc.setParent(lstm);
		
		Empresa empresa = log.getEmpresa();
		if (empresa != null) {
			lc = new Listcell(empresa.getNombempresa());
		} else {
			lc = new Listcell("");
		}
		lc.setParent(lstm);

		lc = new Listcell((log.getIndProcessado() ? "Sim" : "Não"));
		lc.setParent(lstm);

		lstm.setAttribute("data", log);
	}
}
